@import url('https://fonts.googleapis.com/css2?family=Zen+Maru+Gothic:wght@300&display=swap');

*,
*:before,
*:after {
  box-sizing: inherit;
}

html{
  font-size: 14px;
  box-sizing: border-box;
  scroll-behavior: smooth;
  height: 100%;
}

body{
  font-family: 'Zen Maru Gothic', sans-serif;
  font-size: 1rem;
  color: #101147;
  line-height: 2;
  letter-spacing: 0.1rem;
  height: 100%;
  overflow-x: hidden !important;
}

h1{
  font-size: 1.8rem;
}

h2{
  font-size: 1.3rem;
}

p{
  font-size: 1rem;
}

.wrapper{
  width: 100%;
  height: auto;
  margin: 0 auto;
  overflow-x: hidden !important;
  position: relative;
}

header{
  width: 100%;
  height: auto;
  position: fixed;
  top: 0;
  left: 0;
  text-align: left;
  padding: 2rem 2rem;
  z-index: 0;
}


.home{
  position:fixed;
  top: 1.5rem;
  right: 1.5rem;
  width: auto;
  height: auto;
  padding: 0 1rem;
  text-align: right;
  z-index: 200;
}

.home a{
  width: 100%;
  height: 100%;
}

.btn:hover {
  color: #ffffff;
  background: #ffd803;
  cursor: pointer;
}



.container{
  width: 90%;
  height: auto;
  margin-top: 18rem;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20rem;
  padding: 2rem;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  gap: 1rem;
  background-color: #ffffff;
  position: relative;
  z-index: 10;
}

.move0{
  position: fixed;
  z-index: -50;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  opacity: 0.5;
}

.move0 video{
  width: auto;
  height: 100%;
}

.move7{
  position: relative;
  z-index: 50;
  width: 90%;
  margin-top: 10rem;
  padding: 1rem;
  padding: 1rem;
  background-color: #ffffff;
}

.lyrics0{
  position: absolute;
  top: 65%;
  right: 2rem;
  font-weight: 800;
  mix-blend-mode: color-burn;
  
}


.lyrics8{
  position: absolute;
  top: 1rem;
  left: 1rem;
  font-weight: 500;
  mix-blend-mode: color-burn;
}

.move8{
  position: relative;
  z-index: 50;
  width: 90%;
  margin-top: 10rem;
  margin-bottom: 10rem;
  padding: 1rem;
  padding: 1rem;
  background-color: #ffffff;
  float: right;
}

footer{
  width: 100%;
  height: auto;
  text-align: center;
  padding: 2rem;
  position: fixed;
  bottom: 0;
  background-color: #ffffff;
  z-index: 50;
}

.arrow {
  position: relative;
  padding: 10px;
}

.arrow::before { /* くの字の表示設定 */
  content: "";
  margin: 0 auto;
  position: absolute;
  left: 25px;
  width: 20px;    /* くの字を山なりに見た時、左側の長さ */
  height: 20px;   /* くの字を山なりに見た時、右側の長さ */
  border-top: 3px solid #5E87B5;     /* くの字を山なりに見た時、左側の太さと色 */
  border-right: 3px solid #222D65;   /* くの字を山なりに見た時、右側の太さと色 */
  transform: rotate(-45deg);    /* くの字の向き */
  animation:grow 2s infinite, tikatika 5s infinite;
}

.arrow1 {
  position: relative;
  padding: 10px;
}

.arrow1::before { /* くの字の表示設定 */
  content: "";
  position: absolute;
  top: -90%;
  left:45%;
  width: 15px;    /* くの字を山なりに見た時、左側の長さ */
  height: 15px;   /* くの字を山なりに見た時、右側の長さ */
  border-top: 2px solid #5E87B5;     /* くの字を山なりに見た時、左側の太さと色 */
  border-right: 2px solid #222D65;   /* くの字を山なりに見た時、右側の太さと色 */
  transform: rotate(135deg);    /* くの字の向き */
  animation:grow 5s infinite, tikatika 5s infinite;
}


.top{
  width: 5rem;
  height: auto;
  position: fixed;
  right: 2rem;
  bottom: 2rem;
  text-align: center;
  z-index: 100;
  display: block;
}






@keyframes grow{
  0% , 40% , 100%{
    filter: drop-shadow(0.18rem 0.18rem 0.06rem rgb(255, 255, 255)) drop-shadow(0 0 0.18rem #3a5ba3) brightness(1.1);
  }
  20% , 60% , 80% {
    filter: drop-shadow(0.18rem 0.18rem 0.06rem #222D65) drop-shadow(0 0 0.18rem #3a5ba3) brightness(1.3);
    
  }
}

@keyframes tikatika{
  0% , 40% , 100%{
    opacity: 0;
  }
  20% , 60% , 80% {
    opacity: 1;
  }
}

  @keyframes fuwafuwa{
  0%{
    transform: rotate(0turn);
  }
  100%{
    transform: rotate(1turn);
  }
}



@media screen and (min-width: 780px){

  html{
    font-size: 15px;
  }
  
  

  

  .container{
    width: 80%;
    height: auto;
    margin-top: 12rem;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20rem;
    padding: 5rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
    gap: 2rem;
    background-color: #ffffff;
    z-index: 10;
  }


  .move7{
    position: relative;
    z-index: 50;
    width: 80%;
    margin-top: 10rem;
    padding: 5rem;
    padding: 5rem;
    background-color: #ffffff;
  }
  
  .lyrics0{
    position: absolute;
    top: 40%;
    right: 10rem;
    font-weight: 800;
    mix-blend-mode: color-burn;
    
  }
  
  
  .lyrics8{
    position: absolute;
    top: 8rem;
    left: 8rem;
    font-weight: 800;
    mix-blend-mode: color-burn;
  }
  
  .move8{
    position: relative;
    z-index: 50;
    width: 80%;
    margin-top: 10rem;
    margin-bottom: 10rem;
    padding: 5rem;
    padding: 5rem;
    background-color: #ffffff;
    float: right;
  }


}


@media screen and (min-width: 1025px){

html{
font-size: 16px;
}

.move0{
    position: fixed;
    z-index: -50;
    width: 100%;
    padding: 5rem;
    opacity: 0.5;
  }

  .move0 video{
    width: 100%;
    height: auto;
  }


.container{
  width: 60%;
  height: auto;
  margin-top: 12rem;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20rem;
  padding: 5rem;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 2rem;
  background-color: #ffffff;
  z-index: 10;
}


.move7{
  position: relative;
  z-index: 50;
  width: 60%;
  margin-top: 10rem;
  padding: 5rem;
  padding: 5rem;
  background-color: #ffffff;
}

.lyrics0{
  position: absolute;
  top: 40%;
  right: 10rem;
  font-weight: 800;
  mix-blend-mode: color-burn;
  
}


.lyrics8{
  position: absolute;
  top: 8rem;
  left: 8rem;
  font-weight: 800;
  mix-blend-mode: color-burn;
}

.move8{
  position: relative;
  z-index: 50;
  width: 50%;
  margin-top: 10rem;
  margin-bottom: 10rem;
  padding: 5rem;
  padding: 5rem;
  background-color: #ffffff;
  float: right;
}


}


@media screen and (min-width: 1300px){

  
  
  }

